/****************************************************************************
** Form implementation generated from reading ui file 'src/ProfilesDialog.ui'
**
** Created: Wed Feb 15 15:37:09 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ProfilesDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CProfilesDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
CProfilesDialog::CProfilesDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CProfilesDialog" );
    setSizeGripEnabled( TRUE );
    CProfilesDialogLayout = new QVBoxLayout( this, 11, 6, "CProfilesDialogLayout"); 

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    m_pAddBtn = new QPushButton( this, "m_pAddBtn" );

    layout2->addWidget( m_pAddBtn, 0, 1 );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout2->addItem( spacer2, 3, 1 );

    m_pDeleteBtn = new QPushButton( this, "m_pDeleteBtn" );

    layout2->addWidget( m_pDeleteBtn, 2, 1 );

    m_pProfileListView = new QListView( this, "m_pProfileListView" );
    m_pProfileListView->addColumn( tr( "Name" ) );
    m_pProfileListView->addColumn( tr( "User" ) );
    m_pProfileListView->addColumn( tr( "Server" ) );
    m_pProfileListView->addColumn( tr( "Repository" ) );
    m_pProfileListView->addColumn( tr( "Access" ) );
    m_pProfileListView->addColumn( tr( "SSH Settings" ) );
    m_pProfileListView->setAllColumnsShowFocus( TRUE );
    m_pProfileListView->setShowSortIndicator( TRUE );

    layout2->addMultiCellWidget( m_pProfileListView, 0, 3, 0, 0 );

    m_pEditBtn = new QPushButton( this, "m_pEditBtn" );

    layout2->addWidget( m_pEditBtn, 1, 1 );
    CProfilesDialogLayout->addLayout( layout2 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    CProfilesDialogLayout->addWidget( line1 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    m_pWhatsThis = new QPushButton( this, "m_pWhatsThis" );
    m_pWhatsThis->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pWhatsThis->sizePolicy().hasHeightForWidth() ) );
    m_pWhatsThis->setAutoDefault( TRUE );
    Layout1->addWidget( m_pWhatsThis );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    CProfilesDialogLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(599, 377).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pDeleteBtn, SIGNAL( clicked() ), this, SLOT( deleteEntry() ) );
    connect( m_pProfileListView, SIGNAL( selectionChanged() ), this, SLOT( enableButtons() ) );
    connect( m_pWhatsThis, SIGNAL( clicked() ), this, SLOT( enterWhatsThisMode() ) );
    connect( m_pAddBtn, SIGNAL( clicked() ), this, SLOT( addEntry() ) );
    connect( m_pEditBtn, SIGNAL( clicked() ), this, SLOT( editEntry() ) );

    // tab order
    setTabOrder( m_pProfileListView, m_pAddBtn );
    setTabOrder( m_pAddBtn, m_pEditBtn );
    setTabOrder( m_pEditBtn, m_pDeleteBtn );
    setTabOrder( m_pDeleteBtn, m_pWhatsThis );
    setTabOrder( m_pWhatsThis, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CProfilesDialog::~CProfilesDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CProfilesDialog::languageChange()
{
    setCaption( tr( "Profiles" ) );
    m_pAddBtn->setText( tr( "Add" ) );
    m_pDeleteBtn->setText( tr( "Delete" ) );
    m_pProfileListView->header()->setLabel( 0, tr( "Name" ) );
    m_pProfileListView->header()->setLabel( 1, tr( "User" ) );
    m_pProfileListView->header()->setLabel( 2, tr( "Server" ) );
    m_pProfileListView->header()->setLabel( 3, tr( "Repository" ) );
    m_pProfileListView->header()->setLabel( 4, tr( "Access" ) );
    m_pProfileListView->header()->setLabel( 5, tr( "SSH Settings" ) );
    m_pEditBtn->setText( tr( "Edit" ) );
    m_pWhatsThis->setText( QString::null );
    m_pWhatsThis->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( m_pWhatsThis, tr( "What's this? (Shift+F1)" ) );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

void CProfilesDialog::deleteEntry()
{
    qWarning( "CProfilesDialog::deleteEntry(): Not implemented yet" );
}

void CProfilesDialog::enableButtons()
{
    qWarning( "CProfilesDialog::enableButtons(): Not implemented yet" );
}

void CProfilesDialog::enterWhatsThisMode()
{
    qWarning( "CProfilesDialog::enterWhatsThisMode(): Not implemented yet" );
}

void CProfilesDialog::addEntry()
{
    qWarning( "CProfilesDialog::addEntry(): Not implemented yet" );
}

void CProfilesDialog::editEntry()
{
    qWarning( "CProfilesDialog::editEntry(): Not implemented yet" );
}

