/****************************************************************************
** Form implementation generated from reading ui file 'src/GrabKeyboard.ui'
**
** Created: Wed Feb 15 15:37:10 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "GrabKeyboard.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GrabKeyboard as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GrabKeyboard::GrabKeyboard( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GrabKeyboard" );
    setFocusPolicy( QDialog::StrongFocus );
    GrabKeyboardLayout = new QGridLayout( this, 1, 1, 0, 0, "GrabKeyboardLayout"); 

    frame5 = new QFrame( this, "frame5" );
    frame5->setFrameShape( QFrame::StyledPanel );
    frame5->setFrameShadow( QFrame::Raised );
    frame5Layout = new QGridLayout( frame5, 1, 1, 0, 0, "frame5Layout"); 

    frame3 = new QFrame( frame5, "frame3" );
    frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, frame3->sizePolicy().hasHeightForWidth() ) );
    frame3->setFrameShape( QFrame::NoFrame );
    frame3->setFrameShadow( QFrame::Raised );
    frame3Layout = new QGridLayout( frame3, 1, 1, 11, 6, "frame3Layout"); 

    PrevKey = new QLabel( frame3, "PrevKey" );
    PrevKey->setMinimumSize( QSize( 100, 0 ) );
    PrevKey->setFrameShape( QLabel::WinPanel );

    frame3Layout->addWidget( PrevKey, 0, 0 );

    NewKey = new QLabel( frame3, "NewKey" );
    NewKey->setFrameShape( QLabel::WinPanel );

    frame3Layout->addWidget( NewKey, 1, 0 );

    frame5Layout->addWidget( frame3, 0, 0 );

    frame4 = new QFrame( frame5, "frame4" );
    frame4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, frame4->sizePolicy().hasHeightForWidth() ) );
    frame4->setFrameShape( QFrame::NoFrame );
    frame4->setFrameShadow( QFrame::Raised );
    frame4Layout = new QGridLayout( frame4, 1, 1, 11, 6, "frame4Layout"); 

    OkButton = new QPushButton( frame4, "OkButton" );
    OkButton->setFocusPolicy( QPushButton::NoFocus );
    OkButton->setDefault( TRUE );

    frame4Layout->addMultiCellWidget( OkButton, 0, 0, 0, 1 );

    CancelButton = new QPushButton( frame4, "CancelButton" );
    CancelButton->setFocusPolicy( QPushButton::NoFocus );

    frame4Layout->addMultiCellWidget( CancelButton, 1, 1, 0, 1 );

    m_pWhatsThis = new QPushButton( frame4, "m_pWhatsThis" );
    m_pWhatsThis->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_pWhatsThis->sizePolicy().hasHeightForWidth() ) );
    m_pWhatsThis->setFocusPolicy( QPushButton::NoFocus );

    frame4Layout->addWidget( m_pWhatsThis, 2, 0 );

    KeepOpenBox = new QCheckBox( frame4, "KeepOpenBox" );
    KeepOpenBox->setFocusPolicy( QCheckBox::NoFocus );

    frame4Layout->addWidget( KeepOpenBox, 2, 1 );

    frame5Layout->addWidget( frame4, 0, 1 );

    GrabKeyboardLayout->addWidget( frame5, 0, 0 );
    languageChange();
    resize( QSize(321, 134).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OkButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( CancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( m_pWhatsThis, SIGNAL( clicked() ), this, SLOT( enterWhatsThisMode() ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
GrabKeyboard::~GrabKeyboard()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GrabKeyboard::languageChange()
{
    setCaption( tr( "Record key shortcut" ) );
    PrevKey->setText( QString::null );
    QWhatsThis::add( PrevKey, tr( "This field shows the currently active key shortcut for the selected action" ) );
    NewKey->setText( QString::null );
    QWhatsThis::add( NewKey, tr( "This field shows the currently pressed key combination" ) );
    OkButton->setText( tr( "OK" ) );
    OkButton->setAccel( QKeySequence( QString::null ) );
    CancelButton->setText( tr( "Cancel" ) );
    CancelButton->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( CancelButton, tr( "Discard new selection" ) );
    m_pWhatsThis->setText( QString::null );
    QToolTip::add( m_pWhatsThis, tr( "What's this? (Shift+F1)" ) );
    KeepOpenBox->setText( tr( "keep open" ) );
    QWhatsThis::add( KeepOpenBox, tr( "If checked, the dialog will not be closed when a key combination is completed. A combination is completed if several or non modifier keys and at least one non-modifier key are pressed." ) );
}

void GrabKeyboard::enterWhatsThisMode()
{
    qWarning( "GrabKeyboard::enterWhatsThisMode(): Not implemented yet" );
}

